## ros-humble-image-publisher 3.0.0

=== debian/changelog ===
ros-humble-image-publisher (3.0.0-1jammy) jammy; urgency=high

  * Cleanup image_publisher.
  * image_publisher: Fix out_img timestamp for using with sim time (#735 <https://github.com/ros-perception/image_pipeline/issues/735>)
  * Add retry video capture feature with timeout
  * changes per comments
  * fix for stereo_image_proc_tests
  * Add maintainer (#667 <https://github.com/ros-perception/image_pipeline/issues/667>)
  * Contributors: Ashwin Sushil, Chris Lalancette, Jacob Perron, Nikita Stolyarov, Patrick Musau

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 29 Apr 2022 00:00:00 -0000

ros-humble-image-publisher (2.2.1-1jammy) jammy; urgency=high

  * remove email blasts from steve macenski (#596 <https://github.com/ros-perception/image_pipeline/issues/596>)
  * [Foxy][Image Publisher] Update launch file (#579 <https://github.com/ros-perception/image_pipeline/issues/579>)
    Co-authored-by: louis <mailto:louis.tran@otsaw.com>
  * [Foxy] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>)
    * Fixing version and maintainer problems in camera_calibration.
    * Applying ament_auto macros to depth_image_proc.
    * Cleaning up package.xml in image_pipeline.
    * Applying ament_auto macros to image_proc.
    * Applying ament_auto macros to image_publisher.
    * Applying ament_auto macros to image_rotate.
    * Applying ament_auto macros to image_view.
    * Replacing some deprecated headers in image_view.
    * Fixing some build warnings in image_view.
    * Applying ament_auto macros to stereo_image_proc.
    * Adding some linter tests to image_pipeline.
    * Updating package URLs to point to ROS Index.
  * Contributors: Joshua Whitley, Steve Macenski, trthanhquang

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 27 Aug 2020 00:00:00 -0000

ros-humble-image-publisher (2.2.0-1jammy) jammy; urgency=high

  * Replacing deprecated header includes with new HPP versions. (#566 <https://github.com/ros-perception/image_pipeline/issues/566>)
    * Replacing deprecated header includes with new HPP versions.
    * CI: Switching to official Foxy Docker container.
    * Fixing headers which don't work correctly.
  * Opencv 3 compatibility (#564 <https://github.com/ros-perception/image_pipeline/issues/564>)
    * Remove GTK from image_view.
    It is no longer used at all in image_view.
    * Reinstate OpenCV 3 compatibility.
    While Foxy only supports Ubuntu 20.04 (and hence OpenCV 4),
    we still strive to maintain Ubuntu 18.04 (which has OpenCV 3).
    In this case, it is trivial to keep keep image_pipeline working
    with OpenCV 3, so reintroduce compatibility with it.
    * Fixes from review.
    * One more fix.
  * Use newer 'add_on_set_parameters_callback' API (#562 <https://github.com/ros-perception/image_pipeline/issues/562>)
    The old API was deprecated in Foxy and since removed in https://github.com/ros2/rclcpp/pull/1199.
  * Remove redundant install call in CMakeLists.txt (#555 <https://github.com/ros-perception/image_pipeline/issues/555>)
  * Contributors: Chris Lalancette, Jacob Perron, Joshua Whitley, sgvandijk

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 27 Jul 2020 00:00:00 -0000

ros-humble-image-publisher (2.0.0-1jammy) jammy; urgency=high

  * port image_publisher on ROS2 (#366 <https://github.com/ros-perception/image_pipeline/issues/366>)
  * Initial ROS2 commit.
  * Contributors: Chris Ye, Michael Carroll

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 09 Dec 2018 00:00:00 -0000

ros-humble-image-publisher (1.12.23-1jammy) jammy; urgency=high

  * fix 'VideoCapture' undefined symbol error (#318 <https://github.com/ros-perception/image_pipeline/issues/318>)
    * fix 'VideoCapture' undefined symbol error
    The following error occured when trying to run image_publisher:
    [...]/devel/lib/image_publisher/image_publisher: symbol lookup error: [...]/devel/lib//libimage_publisher.so: undefined symbol: _ZN2cv12VideoCaptureC1Ev
    Probably, changes in cv_bridge reducing the OpenCV component dependencies led to the error. See
    https://github.com/ros-perception/vision_opencv/commit/8b5bbcbc1ce65734dc600695487909e0c67c1033
    This is fixed by manually finding OpenCV with the required components and adding the dependencies to the library, not just the node.
    * add image_publisher opencv 2 compatibility
  * Contributors: hannometer

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 10 May 2018 00:00:00 -0000

ros-humble-image-publisher (1.12.22-1jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 Dec 2017 00:00:00 -0000

ros-humble-image-publisher (1.12.21-1jammy) jammy; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Nov 2017 00:00:00 -0000

ros-humble-image-publisher (1.12.20-1jammy) jammy; urgency=high

  * explicitly cast to std::vector<double> to make gcc6 happy
    With gcc6, compiling image_publisher fails with this error:
    ```
    /[...]/image_publisher/src/nodelet/image_publisher_nodelet.cpp: In member function 'virtual void image_publisher::ImagePublisherNodelet::onInit()':
    /[...]/image_publisher/src/nodelet/image_publisher_nodelet.cpp:180:43: error: ambiguous overload for 'operator=' (operand types are 'sensor_msgs::CameraInfo\_<std::allocator<void> >::_D_type {aka std::vector<double>}' and 'boost::assign_detail::generic_list<int>')
    camera_info\_.D = list_of(0)(0)(0)(0)(0);
    ```
    After adding an initial explicit type cast for the assignment,
    compiling fails further with:
    ```
    | /[...]/image_publisher/src/nodelet/image_publisher_nodelet.cpp: In member function 'virtual void image_publisher::ImagePublisherNodelet::onInit()':
    | /[...]/image_publisher/src/nodelet/image_publisher_nodelet.cpp:180:65: error: call of overloaded 'vector(boost::assign_detail::generic_list<int>&)' is ambiguous
    |      camera_info\_.D = std::vector<double> (list_of(0)(0)(0)(0)(0));
    ```

